From bf23e3e185f1ea93991bd6f366e60e9f389b2f74 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 31 2020 04:12:50 +0000
Subject: [PATCH 1094/2232] Format PR 370 with clang-format


---

diff --git a/tests/ffi/tests.cc b/tests/ffi/tests.cc
index 05bf5fb..4abc456 100644
--- a/tests/ffi/tests.cc
+++ b/tests/ffi/tests.cc
@@ -2,9 +2,9 @@
 #include "tests/ffi/lib.rs.h"
 #include <cstring>
 #include <iterator>
+#include <memory>
 #include <numeric>
 #include <stdexcept>
-#include <memory>
 #include <string>
 
 extern "C" void cxx_test_suite_set_correct() noexcept;
@@ -63,7 +63,9 @@ const size_t &c_return_ref(const Shared &shared) { return shared.z; }
 
 const size_t &c_return_ns_ref(const ::A::AShared &shared) { return shared.z; }
 
-const size_t &c_return_nested_ns_ref(const ::A::B::ABShared &shared) { return shared.z; }
+const size_t &c_return_nested_ns_ref(const ::A::B::ABShared &shared) {
+  return shared.z;
+}
 
 size_t &c_return_mut(Shared &shared) { return shared.z; }
 
@@ -471,7 +473,7 @@ void c_take_trivial_ptr(std::unique_ptr<D> d) {
   }
 }
 
-void c_take_trivial_ref(const D& d) {
+void c_take_trivial_ref(const D &d) {
   if (d.d == 30) {
     cxx_test_suite_set_correct();
   }
@@ -483,14 +485,13 @@ void c_take_trivial(D d) {
   }
 }
 
-
 void c_take_trivial_ns_ptr(std::unique_ptr<::G::G> g) {
   if (g->g == 30) {
     cxx_test_suite_set_correct();
   }
 }
 
-void c_take_trivial_ns_ref(const ::G::G& g) {
+void c_take_trivial_ns_ref(const ::G::G &g) {
   if (g.g == 30) {
     cxx_test_suite_set_correct();
   }
@@ -514,13 +515,13 @@ void c_take_opaque_ns_ptr(std::unique_ptr<::F::F> f) {
   }
 }
 
-void c_take_opaque_ref(const E& e) {
+void c_take_opaque_ref(const E &e) {
   if (e.e == 40 && e.e_str == "hello") {
     cxx_test_suite_set_correct();
   }
 }
 
-void c_take_opaque_ns_ref(const ::F::F& f) {
+void c_take_opaque_ns_ref(const ::F::F &f) {
   if (f.f == 40 && f.f_str == "hello") {
     cxx_test_suite_set_correct();
   }
@@ -629,32 +630,29 @@ extern "C" const char *cxx_run_test() noexcept {
 } // namespace tests
 
 namespace other {
-
-  void ns_c_take_trivial(::tests::D d) {
-    if (d.d == 30) {
-      cxx_test_suite_set_correct();
-    }
+void ns_c_take_trivial(::tests::D d) {
+  if (d.d == 30) {
+    cxx_test_suite_set_correct();
   }
+}
 
-  ::tests::D ns_c_return_trivial() {
-    ::tests::D d;
-    d.d = 30;
-    return d;
-  }
+::tests::D ns_c_return_trivial() {
+  ::tests::D d;
+  d.d = 30;
+  return d;
+}
 
-  void ns_c_take_ns_shared(::A::AShared shared) {
-    if (shared.z == 2020) {
-      cxx_test_suite_set_correct();
-    }
+void ns_c_take_ns_shared(::A::AShared shared) {
+  if (shared.z == 2020) {
+    cxx_test_suite_set_correct();
   }
+}
 } // namespace other
 
 namespace I {
-  uint32_t I::get() const {
-    return a;
-  }
+uint32_t I::get() const { return a; }
 
-  std::unique_ptr<I> ns_c_return_unique_ptr_ns() {
-    return std::unique_ptr<I>(new I());
-  }
+std::unique_ptr<I> ns_c_return_unique_ptr_ns() {
+  return std::unique_ptr<I>(new I());
+}
 } // namespace I
diff --git a/tests/ffi/tests.h b/tests/ffi/tests.h
index 3835660..6b1ec1e 100644
--- a/tests/ffi/tests.h
+++ b/tests/ffi/tests.h
@@ -4,33 +4,33 @@
 #include <string>
 
 namespace A {
-  struct AShared;
-  enum class AEnum : uint16_t;
-  namespace B {
-    struct ABShared;
-    enum class ABEnum : uint16_t;
-  } // namespace B
+struct AShared;
+enum class AEnum : uint16_t;
+namespace B {
+struct ABShared;
+enum class ABEnum : uint16_t;
+} // namespace B
 } // namespace A
 
 namespace F {
-  struct F {
-    uint64_t f;
-    std::string f_str;
-  };
-}
+struct F {
+  uint64_t f;
+  std::string f_str;
+};
+} // namespace F
 
 namespace G {
-  struct G {
-    uint64_t g;
-  };
-}
+struct G {
+  uint64_t g;
+};
+} // namespace G
 
 namespace H {
-  class H {
-  public:
-    std::string h;
-  };
-}
+class H {
+public:
+  std::string h;
+};
+} // namespace H
 
 namespace tests {
 
@@ -156,16 +156,16 @@ rust::Vec<rust::String> c_try_return_rust_vec_string();
 const rust::Vec<uint8_t> &c_try_return_ref_rust_vec(const C &c);
 
 void c_take_trivial_ptr(std::unique_ptr<D> d);
-void c_take_trivial_ref(const D& d);
+void c_take_trivial_ref(const D &d);
 void c_take_trivial(D d);
 
 void c_take_trivial_ns_ptr(std::unique_ptr<::G::G> g);
-void c_take_trivial_ns_ref(const ::G::G& g);
+void c_take_trivial_ns_ref(const ::G::G &g);
 void c_take_trivial_ns(::G::G g);
 void c_take_opaque_ptr(std::unique_ptr<E> e);
 void c_take_opaque_ns_ptr(std::unique_ptr<::F::F> f);
-void c_take_opaque_ref(const E& e);
-void c_take_opaque_ns_ref(const ::F::F& f);
+void c_take_opaque_ref(const E &e);
+void c_take_opaque_ns_ref(const ::F::F &f);
 std::unique_ptr<D> c_return_trivial_ptr();
 D c_return_trivial();
 std::unique_ptr<::G::G> c_return_trivial_ns_ptr();
@@ -179,19 +179,20 @@ rust::String cOverloadedFunction(rust::Str x);
 } // namespace tests
 
 namespace other {
-  void ns_c_take_trivial(::tests::D d);
-  ::tests::D ns_c_return_trivial();
-  void ns_c_take_ns_shared(::A::AShared shared);
+void ns_c_take_trivial(::tests::D d);
+::tests::D ns_c_return_trivial();
+void ns_c_take_ns_shared(::A::AShared shared);
 } // namespace other
 
 namespace I {
-  class I {
-  private:
-    uint32_t a;
-  public:
-    I() : a(1000) {}
-    uint32_t get() const;
-  };
-
-  std::unique_ptr<I> ns_c_return_unique_ptr_ns();
+class I {
+private:
+  uint32_t a;
+
+public:
+  I() : a(1000) {}
+  uint32_t get() const;
+};
+
+std::unique_ptr<I> ns_c_return_unique_ptr_ns();
 } // namespace I

